Søg i Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Is there a version newer than 2.0.0.20 that will support my old Mac G4 with a PowerPC processor?

  • 1 svar
  • 2 har dette problem
  • 8 visninger
  • Seneste svar af cor-el

more options

I have a 11-year-old Mac running Mac OS 10.3.9. I am looking for a newer version of Firefox than what I am currently running: 2.0.0.20. I am experiencing problems with websites with the version I have now. Please help! I love Firefox and don't want to go back to Safari. My computer won't support an OS upgrade.

Alle svar (1)

more options